# IShMasterSound Struct Reference

Inheritance diagram for IShMasterSound:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetName (TMCString &name)=0
virtual MCCOMErr MCCOMAPI | SetName (const TMCString &name)=0
virtual MCCOMErr MCCOMAPI | SetSound (IExSound *sound)=0
virtual MCCOMErr MCCOMAPI | GetSound (IExSound **sound)=0
virtual MCCOMErr MCCOMAPI | GetSoundInstance (IShSound **sound)=0
virtual MCCOMErr MCCOMAPI | SetScene (I3DShScene *topScene)=0
virtual MCCOMErr MCCOMAPI | Clone (IShMasterSound **clone) const =0
virtual uint32 MCCOMAPI | GetInstancesCount ()=0
virtual uint32 MCCOMAPI | GetDuration ()=0
virtual void MCCOMAPI | GetPreviewData (TMCArray< real32 > *outArray)=0
virtual uint32 MCCOMAPI | GetSoundType ()=0
virtual I3DShMaster *MCCOMAPI | GetThisMaster ()=0
virtual const TMCClassArray < TSoundTextRecord > &MCCOMAPI | GetAssociatedText () const =0
virtual MCCOMErr MCCOMAPI | SetAssociatedText (const TMCClassArray< TSoundTextRecord > &inArray)=0
virtual boolean MCCOMAPI | GetHasAssociatedText () const =0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShMasterSound::Clone | ( | IShMasterSound ** | clone | ) | const`[pure virtual]`

virtual const TMCClassArray<TSoundTextRecord>& MCCOMAPI IShMasterSound::GetAssociatedText | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IShMasterSound::GetDuration | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShMasterSound::GetHasAssociatedText | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IShMasterSound::GetInstancesCount | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::GetName | ( | TMCString & | name | ) | `[pure virtual]`

virtual void MCCOMAPI IShMasterSound::GetPreviewData | ( | TMCArray< real32 > * | outArray | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::GetSound | ( | IExSound ** | sound | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::GetSoundInstance | ( | IShSound ** | sound | ) | `[pure virtual]`

virtual uint32 MCCOMAPI IShMasterSound::GetSoundType | ( |  | ) | `[pure virtual]`

virtual I3DShMaster* MCCOMAPI IShMasterSound::GetThisMaster | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::SetAssociatedText | ( | const TMCClassArray< TSoundTextRecord > & | inArray | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::SetName | ( | const TMCString & | name | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::SetScene | ( | I3DShScene * | topScene | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMasterSound::SetSound | ( | IExSound * | sound | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShSound.h